Bug 1481219 - guava-24.0 is available
Summary: guava-24.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: guava
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Simacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1307246 1488129 (view as bug list)
Depends On:
Blocks: 1474795
TreeView+ depends on / blocked
 
Reported: 2017-08-14 11:49 UTC by Upstream Release Monitoring
Modified: 2018-02-08 14:04 UTC (History)
5 users (show)

Fixed In Version: guava-0:24.0-1.fc28.noarch
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-08 14:04:56 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
[patch] Update to 23.0 (#1481219) (1.01 KB, patch)
2017-08-14 11:50 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 23.1 (#1481219) (1.01 KB, patch)
2017-09-28 00:22 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 23.2 (#1481219) (1.01 KB, patch)
2017-10-20 00:21 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 23.3 (#1481219) (1.01 KB, patch)
2017-11-01 12:15 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 23.4 (#1481219) (1.01 KB, patch)
2017-11-10 00:16 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 23.6 (#1481219) (1.01 KB, patch)
2017-12-22 12:15 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 24.0 (#1481219) (1.01 KB, patch)
2018-02-02 12:17 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2017-08-14 11:49:49 UTC
Latest upstream release: v23.0
Current version/release in rawhide: 18.0-11.fc27
URL: https://github.com/google/guava

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15786/

Comment 1 Upstream Release Monitoring 2017-08-14 11:49:57 UTC
An HTTP error occurred downloading the package's new Source URLs: Getting https://github.com/google/guava/archive/vv23.0.tar.gz to ./vv23.0.tar.gz

Comment 2 Upstream Release Monitoring 2017-08-14 11:50:05 UTC
Latest upstream release: 23.0
Current version/release in rawhide: 18.0-11.fc27
URL: https://github.com/google/guava

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15786/

Comment 3 Upstream Release Monitoring 2017-08-14 11:50:15 UTC
Created attachment 1313061 [details]
[patch] Update to 23.0 (#1481219)

Comment 4 Upstream Release Monitoring 2017-08-14 11:54:49 UTC
hotness's scratch build of guava-23.0-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=21223915

Comment 5 Mikolaj Izdebski 2017-09-04 12:09:53 UTC
*** Bug 1307246 has been marked as a duplicate of this bug. ***

Comment 6 Mikolaj Izdebski 2017-09-04 12:12:19 UTC
*** Bug 1488129 has been marked as a duplicate of this bug. ***

Comment 7 Upstream Release Monitoring 2017-09-28 00:22:27 UTC
Latest upstream release: 23.1
Current version/release in rawhide: 18.0-11.fc27
URL: https://github.com/google/guava

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15786/

Comment 8 Upstream Release Monitoring 2017-09-28 00:22:34 UTC
Created attachment 1331644 [details]
[patch] Update to 23.1 (#1481219)

Comment 9 Upstream Release Monitoring 2017-09-28 00:24:02 UTC
hotness's scratch build of guava-23.1-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=22113458

Comment 10 Upstream Release Monitoring 2017-10-20 00:21:26 UTC
Latest upstream release: 23.2
Current version/release in rawhide: 18.0-11.fc27
URL: https://github.com/google/guava

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15786/

Comment 11 Upstream Release Monitoring 2017-10-20 00:21:32 UTC
Created attachment 1341031 [details]
[patch] Update to 23.2 (#1481219)

Comment 12 Upstream Release Monitoring 2017-10-20 00:42:04 UTC
hotness's scratch build of guava-23.2-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=22558216

Comment 13 Upstream Release Monitoring 2017-11-01 12:15:21 UTC
Latest upstream release: 23.3
Current version/release in rawhide: 18.0-11.fc27
URL: https://github.com/google/guava

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15786/

Comment 14 Upstream Release Monitoring 2017-11-01 12:15:34 UTC
Created attachment 1346468 [details]
[patch] Update to 23.3 (#1481219)

Comment 15 Upstream Release Monitoring 2017-11-01 12:17:21 UTC
hotness's scratch build of guava-23.3-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=22841816

Comment 16 Michael Simacek 2017-11-06 12:06:02 UTC
This update is quite problematic and I'm not sure how to proceed with this without breaking the world.
The problems:
- a lot of API changes, as always with guava, would break tens of pkgs
- guava 20 is the last version that supports Java 7, upgrading would force all the dependent projects to use Java 8, which is something we don't want to do for packages like maven

We could make a compat package, but there are problems with that as well.
Backward compat package (guava18 or guava20) would require all dependent (~90) packages to be rebuilt, otherwise they would have incorrect requires. If we end up doing that then I'd rather piggyback on a mass-rebuild.
Forward compat package would work better from technical POV, but would be problematic from naming POV. Guava has very frequent releases (currently, major release multiple times a year, minor release every 2 weeks). In order to follow naming guidelines, we'd have to package new compat version multiple times a year (or be behind).

I'd appreciate some input from intereseted parties (especially eclipse). Where is the new guava actually needed? Would it help if I at least upgrade to guava 20 now? Or backported a specific feature?

Comment 17 Mat Booth 2017-11-06 14:24:23 UTC
Upstream in Eclipse-land, we have guava 18 and 21 so plugins are starting to move over to 21. So far, I have only had to do minor patching and adjusting OSGi metadata with sed, but over time I can probably see myself needing to do more invasive patching (this was the case when moving from guava 15 to 18).

Updating to 20 would probably be fine for Eclipse for now and buy us time. Do you know when it is likely that maven would be allowed to require java 8?

Comment 18 Upstream Release Monitoring 2017-11-10 00:16:09 UTC
Latest upstream release: 23.4
Current version/release in rawhide: 18.0-11.fc27
URL: https://github.com/google/guava

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15786/

Comment 19 Upstream Release Monitoring 2017-11-10 00:16:18 UTC
Created attachment 1350230 [details]
[patch] Update to 23.4 (#1481219)

Comment 20 Upstream Release Monitoring 2017-11-10 00:21:21 UTC
hotness's scratch build of guava-23.4-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=23028596

Comment 21 Michael Simacek 2017-11-12 15:25:15 UTC
(In reply to Mat Booth from comment #17)
> Updating to 20 would probably be fine for Eclipse for now and buy us time.
> Do you know when it is likely that maven would be allowed to require java 8?

Ok, I'll try to do that. Maven is supposed to switch to Java 8 in Maven 4. But I'm not aware of any approximate date when that will happen.

Comment 22 Upstream Release Monitoring 2017-12-22 12:15:37 UTC
Latest upstream release: 23.6
Current version/release in rawhide: 18.0-11.fc27
URL: https://github.com/google/guava

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15786/

Comment 23 Upstream Release Monitoring 2017-12-22 12:15:44 UTC
Created attachment 1371251 [details]
[patch] Update to 23.6 (#1481219)

Comment 24 Upstream Release Monitoring 2017-12-22 12:19:11 UTC
hotness's scratch build of guava-23.6-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=23842354

Comment 25 Upstream Release Monitoring 2018-02-02 12:17:28 UTC
Latest upstream release: 24.0
Current version/release in rawhide: 18.0-11.fc27
URL: https://github.com/google/guava

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15786/

Comment 26 Upstream Release Monitoring 2018-02-02 12:17:36 UTC
Created attachment 1390133 [details]
[patch] Update to 24.0 (#1481219)

Comment 27 Upstream Release Monitoring 2018-02-02 12:19:07 UTC
hotness's scratch build of guava-24.0-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=24647940

Comment 28 Michael Simacek 2018-02-08 14:04:56 UTC
guava 24.0 is now available in rawhide. In addition, guava20 compat package is provided for packages that need to keep working on JDK 7.


Note You need to log in before you can comment on or make changes to this bug.